## ask 1.0.1

=== Makefile ===
# Copyright (c) 2011-2013, Universite de Versailles St-Quentin-en-Yvelines
#
# This file is part of ASK.  ASK is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

VERSION := $(shell cat ../VERSION)
TARGET := ask-manual-$(VERSION).pdf

all: $(TARGET)

$(TARGET): ask-manual.tex
	pdflatex -shell-escape ask-manual.tex 
	mv ask-manual.pdf $(TARGET)

clean:
	rm -rf $(TARGET) *.log *.out *.toc *.aux

=== debian/changelog ===
ask (1.0.1-1ubuntu1) trusty; urgency=medium

  * Add fix-test-control-on-32bit-architectures.diff to fix tests on
    32-bit arches. LP: #1256523
  * debian/rules: Use --with python2 to fix python depend in control file

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 18 Mar 2014 06:49:13 +1100

ask (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #713986)

 -- Pablo Oliveira <pablo@sifflez.org>  Fri, 21 Jun 2013 10:44:16 +0200

=== debian/control ===
Source: ask
Section: science
Priority: extra
Build-Depends: debhelper (>= 8.0.0), texlive-latex-base, texlive-latex-extra,
               latex-xcolor, python (>=2.6), python-pygments, python-nose,
               python-argparse, python-numpy, python-scipy, r-base-core (>=2.5),
               r-cran-gbm, r-cran-rpart, r-cran-lattice, r-cran-rjson,
               r-cran-lhs, r-cran-tgp, r-cran-inline, r-cran-foptions
X-Python-Version: >= 2.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/adaptive-sampling-kit/
Vcs-Git: git://git.debian.org/git/debian-science/packages/ask.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/ask.git

Package: ask
Section: science
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python (>=2.6),
         python-argparse, python-numpy, python-scipy, r-base-core (>=2.5),
         r-cran-gbm, r-cran-rpart, r-cran-lattice, r-cran-rjson,
         r-cran-lhs, r-cran-tgp, r-cran-inline, r-cran-foptions
Description: Adaptive Sampling Kit for big experimental spaces
 Adaptive Sampling Kit (ASK) is a toolkit for sampling big experimental spaces.
 When the space is small, the response can be measured for every point in the
 space. When the space is large, doing an exhaustive measurement is either not
 possible in terms of execution time or simply not practical. ASK tries to find
 good approximations of the response by sampling only a small fraction of the
 space. ASK features multiple active learning algorithms to prioritize the
 exploration of the interesting parts of the experimental space.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_configure:

%:
	dh $@ --with python2

=== debian/watch ===
# watch control file for uscan
version=3
http://code.google.com/p/adaptive-sampling-kit/downloads/list?can=1 .*/adaptive-sampling-kit-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## ask 1.1.1

=== Makefile ===
--- 
+++ 
@@ -13,15 +13,13 @@
 # this program; if not, write to the Free Software Foundation, Inc., 51
 # Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
-VERSION := $(shell cat ../VERSION)
-TARGET := ask-manual-$(VERSION).pdf
+.PHONY: doc
+doc:
+	$(MAKE) -C doc/
 
-all: $(TARGET)
-
-$(TARGET): ask-manual.tex
-	pdflatex -shell-escape ask-manual.tex 
-	mv ask-manual.pdf $(TARGET)
+test:
+	nosetests
 
 clean:
-	rm -rf $(TARGET) *.log *.out *.toc *.aux
-
+	rm -rf sandbox/ 
+	$(MAKE) -C doc/ clean

=== doc/Makefile ===
# Copyright (c) 2011-2013, Universite de Versailles St-Quentin-en-Yvelines
#
# This file is part of ASK.  ASK is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

VERSION := $(shell cat ../VERSION)
TARGET := ask-manual-$(VERSION).pdf

all: $(TARGET)

$(TARGET): ask-manual.tex
	pdflatex -shell-escape ask-manual.tex 
	mv ask-manual.pdf $(TARGET)

wiki:
	./latex2wiki/transform.sh

clean:
	rm -rf $(TARGET) *.log *.out *.toc *.aux build/ adaptive-sampling-kit.wiki/

.PHONY: wiki

=== debian/changelog ===
ask (1.1.1-3) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Andreas Tille ]
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: python3-pygments, python3-pkg-resources
    Closes: #921774
  * Fix permissions of data files

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 15:22:16 +0100

ask (1.1.1-2) unstable; urgency=low

  * Update latex build dependencies (Closes: #865236)
  * Remove obsolete lintian overrides
  * Update compat and standards versions

 -- Pablo Oliveira <pablo@sifflez.org>  Tue, 20 Jun 2017 09:59:00 +0200

ask (1.1.1-1) unstable; urgency=low

  * Update to upstream version 1.1.1
  * Require r-cran-tgp (>= 2.4-14-2) (Closes: #832825)

 -- Pablo Oliveira <pablo@sifflez.org>  Fri, 29 Jul 2016 16:22:00 +0200

ask (1.0.1-2) unstable; urgency=low

  * Fix failing test on 32 bit architectures. Thanks to Andreas Moog for
    reporting the bug. Closes: #768844.
  * Fix lintian error: python-depends-but-no-python-helper

  [ Sylvestre Ledru ]
  * Standards-Version updated to 3.9.5

 -- Pablo Oliveira <pablo@sifflez.org>  Sun, 16 Nov 2014 18:36:10 +0200

=== debian/control ===
Source: ask
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               python,
               python-pygments,
               python-nose,
               python-argparse,
               python-numpy,
               python-scipy,
               python3-pygments,
               python3-pkg-resources,
               r-base-core,
               r-cran-gbm,
               r-cran-rpart,
               r-cran-lattice,
               r-cran-rjson,
               r-cran-lhs,
               r-cran-tgp (>=2.4-14-2),
               r-cran-inline,
               r-cran-foptions
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/ask
Vcs-Git: https://salsa.debian.org/science-team/ask.git
Homepage: https://github.com/benchmark-subsetting/adaptive-sampling-kit

Package: ask
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python,
         python-argparse,
         python-numpy,
         python-scipy,
         r-base-core,
         r-cran-gbm,
         r-cran-rpart,
         r-cran-lattice,
         r-cran-rjson,
         r-cran-lhs,
         r-cran-tgp (>=2.4-14-2),
         r-cran-inline,
         r-cran-foptions
Description: Adaptive Sampling Kit for big experimental spaces
 Adaptive Sampling Kit (ASK) is a toolkit for sampling big experimental spaces.
 When the space is small, the response can be measured for every point in the
 space. When the space is large, doing an exhaustive measurement is either not
 possible in terms of execution time or simply not practical. ASK tries to find
 good approximations of the response by sampling only a small fraction of the
 space. ASK features multiple active learning algorithms to prioritize the
 exploration of the interesting parts of the experimental space.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 
 %:
 	dh $@ --with python2
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name "*.data" -executable -exec chmod -x \{\} \;

=== debian/watch ===
# watch control file for uscan
version=3
https://github.com/benchmark-subsetting/adaptive-sampling-kit/tags .*/v?(\d\S*)\.tar\.gz
